%define upstream_name    Sort-Key-Top
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Select and sort top n elements
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
The functions available from this module select the top n elements from a
list using several common orderings and custom key extraction procedures.

They are all variations around

  keytopsort { CALC_KEY($_) } $n => @data;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-8.mga6
+ Revision: 1033259
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.80.0-7.mga6
+ Revision: 958003
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.80.0-6.mga6
+ Revision: 845290
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.80.0-5.mga6
+ Revision: 841652
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 748238
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 686211
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-2.mga5
+ Revision: 631669
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 620762
- update to 0.08

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-5.mga4
+ Revision: 524488
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.60.0-4.mga4
+ Revision: 430954
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-3.mga3
+ Revision: 372662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.60.0-2.mga3
+ Revision: 251121
- rebuild for perl 5.16

* Thu Jun 30 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 116528
- imported package perl-Sort-Key-Top


* Thu Jun 30 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
